SSS_OBFUSCATE(8)

NAME
sss_obfuscate - ofusca una contrasenya de text clar

SYNOPSIS

sss_obfuscate [opcions] [PASSWORD]

DESCRIPCIÓ

sss_obfuscate converteix una contrasenya especificada en un format illegible per humans i la col⋅loca a la secció de domini adequada de l'arxiu de configuració d'SSSD.

The cleartext password is read from standard input or entered interactively. The obfuscated password is put into “ldap_default_authtok” parameter of a given SSSD domain and the “ldap_default_authtok_type” parameter is set to “obfuscated_password”. Refer to sssd-ldap(5) for more details on these parameters.

Si us plau fixi's que ofuscar contrasenyes no proporciona cap benefici real de seguretat ja que un atacant encara podria extreure la contrasenya amb enginyeria inversa. Es recomana aferrissadament l'ús de mecanismes d'autenticació millors com certificats de client o GSSAPI.

OPCIONS

-h,--help
    Display help message and exit.

-s,--stdin
    La contrasenya per ofuscar es llegirà de l'entrada estàndard.

-d,--domain DOMINI
    El domini SSSD on utilitzar la contrasenya. El nom per defecte és “default”.

-f,--file FITXER
    Llegeix el fitxer de configuració especificat pel paràmetre de posició.

    Per defecte: /etc/sssd/sssd.conf

VEGEU TAMBÉ

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5),sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8),sssd-ifp(5),pam_sss(8). sss_rpcidmapd(5)

AUTHORS

La font de l'SSSD - http://fedorahosted.org/sssd